# Get all devices for user

Retrieves all devices registered for the given user. This requires a **client access token** of the application, and must be called from the backend. **Required permissions**: `apps:read`, `[appId]:read`, `devices:read`.

Endpoint: GET /v1/users/{user_id}/devices
Security: ClientAccessToken

## Security:

  - `ClientAccessToken` (unknown)
    oauth2

## Path parameters:

  - `user_id` (string, required)
    User ID

## Response 200:

  - `200` (unknown)
    List of devices

## Response 200 fields (application/json):

  - `user_id` (string, required)
    User identifier

  - `device_id` (string, required)
    Unique identifier for the device

  - `status` (string, required)
    Status of the device
    Enum: "active", "suspended"

  - `display_name` (string)
    Display name for the device

  - `device_type` (string, required)
    Type of the device
    Enum: "mobile", "web"

  - `hardware_model` (string)
    Hardware model of the device

  - `os` (string)
    Operating system of the device

  - `browser` (string)
    Browser used on the device

  - `registered_ip` (string)
    IP address from which the device was registered

  - `registered_region` (string)
    Region from which the device was registered

  - `last_authenticated` (string)
    Timestamp of last successful authentication

  - `last_auth_attempt` (string)
    Timestamp of last authentication attempt

  - `created_at` (string, required)
    Timestamp when the device was created

  - `updated_at` (string)
    Timestamp when the device was last updated

## Response 400:

  - `400` (unknown)
    Invalid request parameters

## Response 400 fields (application/json):

  - `error_code` (string)
    Enum: "system_invalid_input"

  - `message` (string)

## Response 404:

  - `404` (unknown)
    User does not exist

## Response 404 fields (application/json):

  - `error_code` (string)
    Enum: "user_not_found"

  - `message` (string)

